
QGIS Application - Bug report #13816

grass provider - missing slot and signal

2015-11-12 10:43 AM - Steven Mizuno

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21841

Description

on opening a GRASS mapset Log Messages (Qt tab) shows the following errors:

2015-11-12T14:23:43    1    Object::connect: No such slot QgsGrassRegionEdit::setTransform()

2015-11-12T14:23:43    1    Object::connect:  (sender name:   'theMapCanvas')

setTransform() is not declared as a slot. I believe this may affect editing the region if the map CRS is different from the mapset CRS when

OTF is on.

and on loading a GRASS raster this message appears:

2015-11-12T15:59:37    1    Object::connect: No such signal QgsGrassRasterProvider::statusChanged( QString )

Associated revisions

Revision 001dce00 - 2016-01-09 12:33 PM - Radim Blazek

[GRASS] slot fix, fixes #13816

History

#1 - 2016-01-09 03:35 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"001dce00a54870e2171e861aa2e3a1611b27fd60".

#2 - 2016-01-09 03:36 AM - Radim Blazek

Missing was fixed in commit:24d279a.

2025-05-17 1/1


